package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.FirstInspectionCountDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface FirstInspectionMapper {

    List<Map> count(@Param("dto") FirstInspectionCountDto dto);

    Page<Map> getBatchInfo(Page page, @Param("isCheck") String isCheck, @Param("cal") Long cal);

    Page<Map> queryInventory(Page page,@Param("dto") FirstInspectionCountDto dto);

    List<Map> queryInventory(@Param("dto") FirstInspectionCountDto dto);

    Page<Map> queryFirstCheck(Page page,@Param("dto") FirstInspectionCountDto dto);

    List<Map> queryFirstCheck(@Param("dto") FirstInspectionCountDto dto);


}
